##
##  arangod.conf -- ArangoDB server configuration
##

daemon                      = true
pid-file                    = @l_prefix@/var/arangodb/run/arangodb.pid
working-directory           = @l_prefix@/var/arangodb/run

[database]
directory                   = @l_prefix@/var/arangodb/db
maximal-journal-size        = 33554432
wait-for-sync               = false

[server]
uid                         = @l_rusr@
gid                         = @l_rgrp@
threads                     = 8
endpoint                    = ssl://127.0.0.1:8529
authentication              = true
authentication-unix-sockets = true
authentication-system-only  = true

[ssl]
keyfile                     = @l_prefix@/etc/arangodb/arangod-sv.pem
cafile                      = @l_prefix@/etc/arangodb/arangod-ca.pem

[scheduler]
threads                     = 4

[javascript]
startup-directory           = @l_prefix@/share/arangodb/js
app-path                    = @l_prefix@/var/arangodb/apps
v8-contexts                 = 8

[log]
level                       = info
file                        = @l_prefix@/var/arangodb/log/arangod.log

# [cluster]
# data-path                      = @l_prefix@/lib/arangodb/cluster
# log-path                       = @l_prefix@/var/arangodb/cluster
# arangod-path                   = @l_prefix@/sbin/arangod
# dbserver-config                = @l_prefix@/etc/arangodb/arangod.conf
# coordinator-config             = @l_prefix@/etc/arangodb/arangod.conf

